Community
Showing results for 
Search instead for 
Do you mean 
Reply

Upgrading from 9 to 10 Framework error

Skilled Commentator
Posts: 138
Country: USA

Upgrading from 9 to 10 Framework error

[ Edited ]
Act 10 installed fine on my Vista machine however on my XP it's not as smooth. I get the following errors: Could not load file or assembly Act.Framework. Version =10.0.237.0. The system cannot find the file specified. Then: The application failed to initialize properly. Click on OK to terminate. Then: ActSage.exe Application Error Application has generated an exception that could not be handled. Please advise on any help. There is just nothing in the knowledge base and I keep missing the help desk. Thanks

Message Edited by mistilayne on 03-28-2008 08:52 PM
Platinum Elite Contributor
Posts: 14,384
Country: Australia

Re: Upgrading from 9 to 10 Framework error

Possibly 9 didn't properly uninstall.
 
This is a procedure I wrote to get the most clean install possible:
Uninstall any version of ACT! from Windows Control Panel | Add/Remove Programs
Use the Uninstaller.exe from the ACT! KB 19338 (the exe, not the manual uninstall)
Uninstall .Net Framework (all versions) - this does NOT apply to Vista users as .Net 2.0 is part of the OS and can't be uninstalled
Uninstall any MS SQL items from the Control Panel if istill there
Uninstall MSXML Services from Control Panel if it's still there
Perform a Selective restart with MSCONFIG as per ACT! KB 14499
Install .Net 2.0 Framework from MS web site (only for XP, not Vista)- http://www.microsoft.com/downloads/details.aspx?familyid=0856eacb-4362-4b0d-8edd-aab15c5e04f5&displaylang=en
Manually install MS SQL as per ACT! KB 19386
Install ACT! 10
Install ACT! 10.02 patch if the previous install was the previous build
Restore from Selective Startup Mode with MSCONFIG
Reboot